Skip to main content
POST
/
list-voices
curl -X POST https://api.magpipe.ai/functions/v1/list-voices \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "voices": [
    {
      "id": "21m00Tcm4TlvDq8ikWAM",
      "name": "Rachel",
      "description": "Calm, American female",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "pNInz6obpgDQGcFmaJgB",
      "name": "Adam",
      "description": "Deep, American male",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "EXAVITQu4vr4xnSDxMaL",
      "name": "Sarah",
      "description": "Soft, American female",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "openai-alloy",
      "name": "Alloy",
      "description": "Neutral, professional",
      "provider": "openai",
      "is_custom": false
    },
    {
      "id": "openai-nova",
      "name": "Nova",
      "description": "Bright, energetic",
      "provider": "openai",
      "is_custom": false
    },
    {
      "id": "abc123xyz",
      "name": "My Cloned Voice",
      "description": "Custom cloned voice",
      "provider": "elevenlabs",
      "preview_url": "https://api.elevenlabs.io/v1/voices/abc123xyz/preview.mp3",
      "is_custom": true
    }
  ]
}
Retrieve all voices available for your AI agents, including built-in voices and your custom cloned voices.

Request Body

provider
string
Filter by provider: openai or elevenlabs.
include_builtin
boolean
default:true
Whether to include built-in voices in the response.

Response

voices
array
Array of voice objects.

Voice Object

id
string
Voice identifier to use in agent configuration.
name
string
Voice display name.
provider
string
Voice provider: openai or elevenlabs.
preview_url
string
URL to preview the voice (if available).
is_custom
boolean
Whether this is a custom cloned voice.
curl -X POST https://api.magpipe.ai/functions/v1/list-voices \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "voices": [
    {
      "id": "21m00Tcm4TlvDq8ikWAM",
      "name": "Rachel",
      "description": "Calm, American female",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "pNInz6obpgDQGcFmaJgB",
      "name": "Adam",
      "description": "Deep, American male",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "EXAVITQu4vr4xnSDxMaL",
      "name": "Sarah",
      "description": "Soft, American female",
      "provider": "elevenlabs",
      "is_custom": false
    },
    {
      "id": "openai-alloy",
      "name": "Alloy",
      "description": "Neutral, professional",
      "provider": "openai",
      "is_custom": false
    },
    {
      "id": "openai-nova",
      "name": "Nova",
      "description": "Bright, energetic",
      "provider": "openai",
      "is_custom": false
    },
    {
      "id": "abc123xyz",
      "name": "My Cloned Voice",
      "description": "Custom cloned voice",
      "provider": "elevenlabs",
      "preview_url": "https://api.elevenlabs.io/v1/voices/abc123xyz/preview.mp3",
      "is_custom": true
    }
  ]
}